<?php

include_once("ip2clue.inc.php");

/*
 * ip2clue example
 * Site: http://kernel.embedromix.ro/us/
 * Copyright: Catalin(ux) M. BOIE
 * License: GPLv3 or later
 */

$host = "localhost";
$port = 9999;
$timeout = 1; /* 1 second */
$requests = 50000;

echo "Generating data...\n";
$ips = array();
for ($i = 0; $i < $requests; $i++) {
	echo ($i + 1) . "/" . $requests . "\r";
	$ips[] = rand(0, 255)
		. "." . rand(0, 255)
		. "." . rand(0, 255)
		. "." . rand(0, 255);
}
echo "\n";

echo "Starting requests...\n";
$start = microtime(TRUE);
$i = 1;
$errors = 0;
foreach ($ips as $ip) {
	echo "$i/$requests\r";
	$i++;

	$ret = ip2clue_lookup($host, $port, $timeout, $ip);
	if ($ret['ok'] == FALSE) {
		echo "ERROR: " . $ret['errmsg'] . "\n";
		$errors++;
		continue;
	}

	//echo print_r($ret, TRUE);
}
$end = microtime(TRUE);
echo "\n";

$diff = $end - $start;
if ($diff == 0)
	$speed = 0;
else
	$speed = sprintf("%u", $requests / $diff);
echo "$speed requests/s\n";
echo "$requests requests in " . ($end - $start) . " second(s), $errors error(s).\n";
?>
